cURL
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/customers/<uuid>/reviewimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const customerReviewV1 = await client.customers.review.get('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(customerReviewV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
customer_review_v1 = client.customers.review.get(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(customer_review_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
customer_review_v1 = straddle.customers.review.get("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(customer_review_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"status": "verified",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"address": {
"address1": "123 Main St",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"address2": "Apt 1"
},
"compliance_profile": {
"dob": "****-**-**",
"ssn": "***-**-****"
},
"device": {
"ip_address": "192.168.1.1"
},
"metadata": {},
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
}
},
"identity_details": {
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "accept",
"breakdown": {
"address": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"email": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"fraud": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"phone": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"synthetic": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_identification": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_validation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_evaluation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {},
"network_alerts": {
"decision": "accept",
"codes": [
"<string>"
],
"alerts": [
"<string>"
]
},
"watch_list": {
"decision": "accept",
"codes": [
"<string>"
],
"matched": [
"<string>"
],
"matches": [
{
"list_name": "<string>",
"urls": [
"<string>"
],
"match_fields": [
"<string>"
],
"correlation": "low_confidence"
}
]
},
"kyc": {
"validations": {
"first_name": true,
"last_name": true,
"address": true,
"city": true,
"state": true,
"zip": true,
"phone": true,
"dob": true,
"ssn": true,
"email": true
},
"decision": "accept",
"codes": [
"<string>"
]
},
"reputation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"insights": {
"ach_fraud_transactions_count": 123,
"ach_fraud_transactions_total_amount": 123,
"ach_fraud_transactions_dates": [
"2023-12-25"
],
"ach_returned_transactions_count": 123,
"ach_returned_transactions_total_amount": 123,
"ach_returned_transactions_dates": [
"2023-12-25"
],
"card_fraud_transactions_count": 123,
"card_fraud_transactions_total_amount": 123,
"card_fraud_transactions_dates": [
"2023-12-25"
],
"card_disputed_transactions_count": 123,
"card_disputed_transactions_total_amount": 123,
"card_disputed_transactions_dates": [
"2023-12-25"
],
"card_stopped_transactions_count": 123,
"card_stopped_transactions_dates": [
"2023-12-25"
],
"accounts_count": 123,
"accounts_active_count": 123,
"accounts_closed_count": 123,
"accounts_closed_dates": [
"2023-12-25"
],
"accounts_fraud_count": 123,
"accounts_fraud_loss_total_amount": 123,
"accounts_fraud_labeled_dates": [
"2023-12-25"
],
"applications_count": 123,
"applications_dates": [
"2023-12-25"
],
"applications_approved_count": 123,
"applications_declined_count": 123,
"applications_fraud_count": 123,
"user_institution_count": 123,
"user_dob_count": 123,
"user_mobile_count": 123,
"user_email_count": 123,
"user_address_count": 123,
"user_active_profile_count": 123,
"user_closed_profile_count": 123
}
}
}
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}Customers
Review a customer
Retrieves and analyzes the results of a customer’s identity validation and fraud score. This endpoint provides a comprehensive breakdown of the validation outcome, including:
- Risk and correlation scores
- Reason codes for the decision
- Results of watchlist screening
- Any network alerts detected Use this endpoint to gain insights into the verification process and make informed decisions about customer onboarding.
GET
/
v1
/
customers
/
{id}
/
review
cURL
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/customers/<uuid>/reviewimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const customerReviewV1 = await client.customers.review.get('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(customerReviewV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
customer_review_v1 = client.customers.review.get(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(customer_review_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
customer_review_v1 = straddle.customers.review.get("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(customer_review_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"status": "verified",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"address": {
"address1": "123 Main St",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"address2": "Apt 1"
},
"compliance_profile": {
"dob": "****-**-**",
"ssn": "***-**-****"
},
"device": {
"ip_address": "192.168.1.1"
},
"metadata": {},
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
}
},
"identity_details": {
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "accept",
"breakdown": {
"address": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"email": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"fraud": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"phone": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"synthetic": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_identification": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_validation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
},
"business_evaluation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"correlation_score": 123,
"correlation": "low_confidence"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {},
"network_alerts": {
"decision": "accept",
"codes": [
"<string>"
],
"alerts": [
"<string>"
]
},
"watch_list": {
"decision": "accept",
"codes": [
"<string>"
],
"matched": [
"<string>"
],
"matches": [
{
"list_name": "<string>",
"urls": [
"<string>"
],
"match_fields": [
"<string>"
],
"correlation": "low_confidence"
}
]
},
"kyc": {
"validations": {
"first_name": true,
"last_name": true,
"address": true,
"city": true,
"state": true,
"zip": true,
"phone": true,
"dob": true,
"ssn": true,
"email": true
},
"decision": "accept",
"codes": [
"<string>"
]
},
"reputation": {
"decision": "accept",
"codes": [
"<string>"
],
"risk_score": 123,
"insights": {
"ach_fraud_transactions_count": 123,
"ach_fraud_transactions_total_amount": 123,
"ach_fraud_transactions_dates": [
"2023-12-25"
],
"ach_returned_transactions_count": 123,
"ach_returned_transactions_total_amount": 123,
"ach_returned_transactions_dates": [
"2023-12-25"
],
"card_fraud_transactions_count": 123,
"card_fraud_transactions_total_amount": 123,
"card_fraud_transactions_dates": [
"2023-12-25"
],
"card_disputed_transactions_count": 123,
"card_disputed_transactions_total_amount": 123,
"card_disputed_transactions_dates": [
"2023-12-25"
],
"card_stopped_transactions_count": 123,
"card_stopped_transactions_dates": [
"2023-12-25"
],
"accounts_count": 123,
"accounts_active_count": 123,
"accounts_closed_count": 123,
"accounts_closed_dates": [
"2023-12-25"
],
"accounts_fraud_count": 123,
"accounts_fraud_loss_total_amount": 123,
"accounts_fraud_labeled_dates": [
"2023-12-25"
],
"applications_count": 123,
"applications_dates": [
"2023-12-25"
],
"applications_approved_count": 123,
"applications_declined_count": 123,
"applications_fraud_count": 123,
"user_institution_count": 123,
"user_dob_count": 123,
"user_mobile_count": 123,
"user_email_count": 123,
"user_address_count": 123,
"user_active_profile_count": 123,
"user_closed_profile_count": 123
}
}
}
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Path Parameters
Response
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Show child attributes
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
Available options:
object, array, error, none Show child attributes
Show child attributes
Related topics
Sandbox simulation testing for Pay by BankIdentity verification overviewGlossary of ACH and Straddle termsStraddle platform glossaryVerifying customers and KYCWas this page helpful?